{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>FunCovidInfo | Forum</title>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script type="text/javascript">
        var userNow = "{{ request.user.username }}";
    </script>
    <script type="application/javascript" src="{% static 'forum/js/script.js' %}"></script>
    
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="search" class="kanankiri">
            <select id="select" class="form-control">
              <option value="all">Semua</option>
              <option value="judul">Judul</option>
              <option value="isi">Isi</option>
              <option value="penulis">Penulis</option>
            </select>
            <input id="inputSearch" class="form-control dropbtn" placeholder="Lakukan Pencarian"/>
        </div>
        <div class="drpdwnSearch-content atasbawah">
            
        </div>
        <div id="load2">
            <img src="{% static 'forum/img/loading.gif' %}" width=25px height=25px />
        </div>
        <div class="kanankiri alignkanankiriatas">
            <div id="kiri">
                <div class="atasbawah">
                    <div class="borderbawah">
                        <a href="{% url 'forum:addPost' %}" class="button1" id="bodyButton">Mulai Diskusi</a>
                    </div>
                    <div class="atasbawah alignatasbawahkiri" style="width: 90%;">
                        <div class="selector">
                            <a href="{% url 'forum:forum2' 'semuaDiskusi' %}" {% if category == 'semuaDiskusi' %}class="kanankiri semua-left selected"{% else %}class="kanankiri semua-left selector-content"{% endif %}>
                                <img src="{% static 'forum/img/SemuaDiskusi.png' %}" width=25px height=25px />
                                <p class="selector-p" id="selector-p">Semua Diskusi</p>
                            </a>
                        </div>
                        <div class="selector">
                            <a href="{% url 'forum:forum2' 'umum' %}" {% if category == 'umum' %}class="kanankiri umum-left selected"{% else %}class="kanankiri umum-left selector-content"{% endif %}>
                                <img src="{% static 'forum/img/DiskusiGeneral.png' %}" width=26px height=26px />
                                <p class="selector-p">Diskusi Umum</p>
                            </a>
                        </div>
                        <div class="selector">
                            <a href="{% url 'forum:forum2' 'info' %}" {% if category == 'info' %}class="kanankiri info-left selected"{% else %}class="kanankiri info-left selector-content"{% endif %}>
                                <img src="{% static 'forum/img/InformasiCovid-19.png' %}" width=25px height=25px />
                                <p class="selector-p">Informasi Covid-19</p>
                            </a>
                        </div>
                        <div class="selector">
                            <a href="{% url 'forum:forum2' 'hd' %}" {% if category == 'hd' %}class="kanankiri hd-left selected"{% else %}class="kanankiri hd-left selector-content"{% endif %}>
                                <img src="{% static 'forum/img/HoaxDestroyer.png' %}" width=25px height=25px />
                                <p class="selector-p">Hoax Destroyer</p>
                            </a>
                        </div>
                        <div class="selector">
                            <a href="{% url 'forum:forum2' 'hs' %}" {% if category == 'hs' %}class="kanankiri hs-left selected"{% else %}class="kanankiri hs-left selector-content"{% endif %}>
                                <img src="{% static 'forum/img/HoaxSpreader.png' %}" width=25px height=25px />
                                <p class="selector-p">Hoax Spreader</p>
                            </a>
                        </div>
                        <div class="selector">
                            <a href="{% url 'forum:forum2' 'th' %}" {% if category == 'th' %}class="kanankiri th-left selected"{% else %}class="kanankiri th-left selector-content"{% endif %}>
                                <img src="{% static 'forum/img/TestHoax.png' %}" width=25px height=25px />
                                <p class="selector-p">Test Hoax</p>
                            </a>
                        </div>
                        <div class="selector">
                            <a href="{% url 'forum:forum2' 'tp' %}" {% if category == 'tp' %}class="kanankiri tp-left selected"{% else %}class="kanankiri tp-left selector-content"{% endif %}>
                                <img src="{% static 'forum/img/TestPengetahuanCovid-19.png' %}" width=25px height=25px />
                                <p class="selector-p">Test Pengetahuan<br>Covid-19</p>
                            </a>
                        </div>
                        {% if user.is_authenticated %}
                        <div class="selector">
                            <a href="{% url 'forum:forum2' 'user' %}" {% if category == 'user' %}class="kanankiri semua-left selected"{% else %}class="kanankiri semua-left selector-content"{% endif %}>
                                <img src="{% static 'forum/img/DiskusiSaya.png' %}" width=30px height=30px />
                                <p class="selector-p">Diskusi Saya</p>
                            </a>
                        </div>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div id="kanan">
                <div id="diskusi" class="atasbawah">
                    {% if diskusi %}
                        {% for d in diskusi %}
                            <div onclick="location.href='{% url 'forum:readPost' d.pk %}';" {% for w in semuaWarna %}{% if w.user == d.penulis %}{% if d.kategori == 'umum' %}class="post umum"{% elif d.kategori == 'info' %}class="post info"{% elif d.kategori == 'hd' %}class="post hd"{% elif d.kategori == 'hs' %}class="post hs"{% elif d.kategori == 'th' %}class="post th"{% elif d.kategori == 'tp' %}class="post tp"{% endif %}{% endif %}{% endfor %}>
                                <div class="kanankiri inside-post">
                                    <div class="profile-container">
                                        <div class="profile" {% for w in semuaWarna %}{% if w.user == d.penulis %}style="background-color: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }});"{% endif %}{% endfor %}>
                                            <div class="atasbawah center inisial">
                                                {{ d.penulis|make_list|first|upper }}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="atasbawah alignatasbawahkiri snippet">
                                        <div class="judulPost">
                                            {{ d.judul|truncatechars:110 }} <br>
                                        </div>
                                        <span class="subJudulPost">
                                            <a href="{% url 'forum:forum2' d.kategori %}" {% if d.kategori == 'umum' %}class="blue"{% elif d.kategori == 'info' %}class="red"{% elif d.kategori == 'hd' %}class="yellow"{% elif d.kategori == 'hs' %}class="purple"{% elif d.kategori == 'th' %}class="green"{% elif d.kategori == 'tp' %}class="black"{% endif %}>
                                                {% if d.kategori == 'umum' %}(Diskusi Umum){% elif d.kategori == 'info' %}(Informasi Covid-19){% elif d.kategori == 'hd' %}(Hoax Destroyer){% elif d.kategori == 'hs' %}(Hoax Spreader){% elif d.kategori == 'th' %}(Test Hoax){% elif d.kategori == 'tp' %}(Test Pengetahuan Covid-19){% endif %}
                                            </a> 
                                             oleh 
                                            <a href="{% url 'forum:profil' d.penulis.username %}" class="edit"> {{ d.penulis }} </a>
                                             pada {{ d.tanggalPost|date:'d-M-Y H:i' }} WIB 
                                            {% if d.penulis == request.user %} | 
                                                <a href="{% url 'forum:editPost' d.pk %}" class="edit"> edit </a> | 
                                                <a href="{% url 'forum:confirmDeletePost' d.pk %}" class="edit"> delete </a>
                                            {% endif %}
                                        </span>
                                        <div>
                                            {{ d.isi|safe|truncatechars:215 }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    {% endif %}
                </div>
                <div class="atasbawah">
                    <div id="load">
                        <img src="{% static 'forum/img/loading.gif' %}" width=25px height=25px />
                    </div>
                </div>
            </div>
        </div>
    </div>
    
{% endblock content %}
<!-- class="post" style="border-left: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }}) solid 5px; border-right: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }}) solid 5px;" -->